- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 036ab449-f69a-4820-9cdb-d27e4e5d508f
    creation_time: 2023-02-17T12:14:56.342312Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark42_conjunctive.c
      input_file_hashes:
        c/loop-zilu/benchmark42_conjunctive.c: f3b9f909020549bdbe784e9570833aee010780a3aa2e93f15e685bc5647b76b1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark42_conjunctive.c
    file_hash: f3b9f909020549bdbe784e9570833aee010780a3aa2e93f15e685bc5647b76b1
    line: 26
    column: 0
    function: main
  loop_invariant:
    string: x == y && y >= 0 && x+y+z == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d495c75c-7478-40a0-95e7-22efa6a67945
    creation_time: 2023-02-17T12:14:56.342588Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark42_conjunctive.c
      input_file_hashes:
        c/loop-zilu/benchmark42_conjunctive.c: f3b9f909020549bdbe784e9570833aee010780a3aa2e93f15e685bc5647b76b1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark42_conjunctive.c
    file_hash: f3b9f909020549bdbe784e9570833aee010780a3aa2e93f15e685bc5647b76b1
    line: 32
    column: 0
    function: main
  location_invariant:
    string: z <= 0
    type: assertion
    format: C

